package com.service;

import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.service.IService;
import com.utils.PageUtils;
import com.entity.CheliangdanganEntity;
import java.util.List;
import java.util.Map;
import com.entity.vo.CheliangdanganVO;
import org.apache.ibatis.annotations.Param;
import com.entity.view.CheliangdanganView;


/**
 * 车辆档案
 *
 * @author 
 * @email 
 * @date 2030-03-20 23:07:14
 */
public interface CheliangdanganService extends IService<CheliangdanganEntity> {

    PageUtils queryPage(Map<String, Object> params);
    
   	List<CheliangdanganVO> selectListVO(Wrapper<CheliangdanganEntity> wrapper);
   	
   	CheliangdanganVO selectVO(@Param("ew") Wrapper<CheliangdanganEntity> wrapper);
   	
   	List<CheliangdanganView> selectListView(Wrapper<CheliangdanganEntity> wrapper);
   	
   	CheliangdanganView selectView(@Param("ew") Wrapper<CheliangdanganEntity> wrapper);
   	
   	PageUtils queryPage(Map<String, Object> params,Wrapper<CheliangdanganEntity> wrapper);

   	

}

